Is Entity Saved
curl --request GET \
--url https://api.sublay.io/api/v6/:projectId/api/v7/entities/is-entity-saved \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sublay.io/api/v6/:projectId/api/v7/entities/is-entity-saved"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sublay.io/api/v6/:projectId/api/v7/entities/is-entity-saved', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"saved": true,
"collections": [
{}
]
}Entity Endpoints
Is Entity Saved
Check whether an entity is saved in any of the current user’s collections
Is Entity Saved
Requires the
entities bundle. A project without the entities bundle returns 403 database/tables-not-available. See Bundles.Query Parameters
string
required
The ID of the entity to check.
Response
boolean
true if the entity is saved in at least one collection.Array<{ id: string; name: string }>
List of collections (by ID and name) that contain this entity.
{
"saved": true,
"collections": [
{ "id": "col_abc", "name": "To Read" },
{ "id": "col_xyz", "name": "Favorites" }
]
}
Error Responses
Server Error — 500
Server Error — 500
{ "error": "Internal server error.", "code": "collection/server-error" }

